#!/bin/sh
# Copyright 2003 John Darrington
# Test that we get a gracefull failure from out of range dates

fail ()
{
    cd /
    rm -rf $TEMPDIR
    exit 1
}


pass ()
{
    cd /
    rm -rf $TEMPDIR
    exit 0
}

unset LANG
unset LANGUAGE
unset LC_TIME
unset LC_MESSAGES

TEMPDIR=/tmp/$$
mkdir $TEMPDIR
if [ $? -ne 0 ] ; then fail ; fi

build/bin/wday -l -d build/share/wdinfo -z Germany/Berlin 2038 2> $TEMPDIR/file
if [ $? -ne 1 ] ; then fail ; fi

grep 'Sorry' $TEMPDIR/file > /dev/null
if [ $? -ne 0 ] ; then fail ; fi



pass
